Current API VERSION: 5.

Bean 7.x-1.x-dev, xxxx-xx-xx
----------------------------

Bean 7.x-1.10, 2016-08-03
----------------------------
#2527008 by axel.rutz: Display cache breaks bean display.
#2465267 by brantwynn: Bean insists we use a tagged release of Entity API and
  that's simply not happening.
#2576711 by a.milkovsky: Missing isNewEntity() method caused problems with e.g.
  entity_extract_ids(), Deploy, etc.
#2623448 by helmo: Ensure uuid.install is loaded when overloading its schema.
#1995770 by kris84, Albert Volkman: Use the label as the entity label, not the
  title. This should resolve a number of issues with other modules.
#2572517 by JeroenT: Weights of submit buttons on the bean form results in the
  Entity Translation 'Remove translation' button appearing before the 'save'
  button.
#2743457 by dan.munn, max.parker: Bean labels being encoded on admin pages
#2714693 by fullerja: In watchdog logging, use type rather than typeName()
#2702495 by plopesc: Get rid of bean_load_delta() in Bean entity class for
  better compatibility and performance
#2459041 by jsacksick: Use bean_access as access callback for block/add/(type)
#2267391 by freality: Bean properties display as improper type in Views

Bean 7.x-1.9, 2015-03-03
------------------------
#1821136 by stefan.r, delzhand, vflirt, rsmylski, recrit, ultimateboy, kris84:
  Integration with Inline Entity Form.
#2008252 by diarmy: Error in admin/workbench/create when using Bean with
  Workbench and Commerce Kickstart.
#2240815 by topsitemakers: Variables not deleted on hook_uninstall().
#2161535 by acrollet, DamienMcKenna, jwilson3: Panelizer support for Bean.
#2148099 by ultimateboy, pgrond: Access issue on block/add page.
#1942558 by davidwbarratt: Unable to create beans on install.
#2365597 by gabesullice: More robust entitycache support.
#2427029 by hswong3i: bean_revision.delta is type varchar but its default 0 is
  PHP type integer.
#2442937 by acorso: Add Bean Title and Label Filters for Bean Usage
#1912354 by stefan.r: Add warninging to bean all module
2338913 by steve.stotter: Fixed Token should be used instead of bean_type as
  type property in entityPropertyInfo / BeanMetadataController.
#2324575 by Steven Jones: Fixed Static cache in bean_block_info unclearable.
#2344929 by jeffam: Fixed Bean Usage doesn't show all usages.
#2325077 by Deciphered: Fixed Bean entity controller skips Rules integration.


Bean 7.x-1.8, 2014-10-02
---------------------------
#2175309 by jeffam: Added Block add/edit pages can still use site theme when an
  admin theme is enabled.
#2148923 by codeamatic, nielsdefeyter, lahode: Fixed Unable to translate bean
  blocks.
#2201503 by jlyon, sherakama | ibotvinn: Fixed Block cache not flushed after
  editing a bean.
#2337555 by catch: Add static caching to bean_load_delta().


Bean 7.x-1.7, 2013-11-29
---------------------------
#2145333 by chris.jichen: Fixed misspelling of entity_access in views plugin.


Bean 7.x-1.6, 2013-11-20
---------------------------
#2138651 by indytechcook: Add deploy_managed_ui_form_elements() to edit/create
  form.
#1941168: Add back in missing setDefault method on bean class.
#1957986 by sylus: Bean + UUID / Deploy.
#2112567 by webflo: Make access controller swappable.
#2115463 by webflo: Page title is escaped twice.
#1684250 by rimen, foopang: Transliteration module integration fix.
#2117223 by jrbeeman: Static cache bean_block_info().
#2123053 by dagmar: Uninstalling Bean when Shortcut module is disabled produces
  a fatal error.
#2114279 by kingandy: Block cache flush introduces Block module dependency.


Bean 7.x-1.5, 2013-10-23
---------------------------
by DamienMcKenna: Fixed arbitrary tag in the bean title input.


Bean 7.x-1.4, 2013-10-13
---------------------------
#2080239 by ro0NL: Bean export type is internally translated.
#2061725 by timaholt: support UUID for revisions.
#2076133 by Sylvain Lecoy: Align admin/structure text with drupal standards.
#1359472 by arithmetric: Fix uninstall of bean module plugins.
#2053911 by franz: When no Bean type is created, views_handler_filter_bean_type
  return many errors.
#2095595 by SpadXIII: Fixed Revision stores wrong uid.
#1891210 by valderama, guillaumev: Fixed Incompatible with entity reference
  formatter Rendered Entity.
#1891928 by jeffam | indytechcook: Fixed Block reference not picking up bean
  module blocks.
#2108631 by webflo: Fixed Add access checks to default Bean Admin UI.


Bean 7.x-1.3, 2013-07-24
----------------------------
#2036137 by eugene.ilyin: Fixed Numeric delta of the bean block.
 Followup by brantwynn Fix block delta truncation error.
#1728632 by donutdan4114 | indytechcook: Fixed Can't name a bean type 'bean'.
#1982468 by 30equals: Cleanup menulink/shortcut after uninstall.


Bean 7.x-1.2, 2013-05-12
----------------------------
#1924126 by DamienMcKenna: Group beans by block type in the CTools/Panels
  content type (sic) plugin.
#1978808 by k.minkov: Assign bean object to form on insert.
#1990112 by rodrigo panchiniak fernandes: Minor Typo at README.txt.
#1961464 by jamsilver: Extra fields needed for label, revision and view_mode
form elements.
#1973696 by pcambra: Fix bean.api.php to set path and file in the class level.
#1935770 by rooby: Beans without a title should not fallback to showing the
admin label but instead show no title at all.
#1957260 by DamienMcKenna: There is no $langcode argument for
  field_attach_form_validate().
#1935466 by jeffam, DamienMcKenna: Improve integration with Admin Menu module.
#1934294 by darthsteven: Entity Cache Support.
#1906958 by ytsurk, Albert Volkman, miro_dietiker: Added Switch admin
  bean/block list to views.
#1935770 by rooby: fixed erronous block titles showing up as labels.
#1179420 by mrfelton: Unable to install Bean plugins from an installation
  profile, switched to ctools style plugin naming.
#1941168 by DamienMcKenna, Albert Volkman: Fixed the 'set active' URL.
#1911224 by DamienMcKenna: Reverted support for references_dialog, that module
  already added support for Bean.


Bean 7.x-1.1, 2013-02-27
------------------------
#1911224 by DamienMcKenna: Added Support for references_dialog().
#1910566 by Bès: Added Use label of view mode in bean add and edit form.
#1912444 by John Bickar: Fixed Fatal Error: Call to undefined function
  entity_language().
#1354824 by DamienMcKenna, willvincent | mrfelton: Fixed Unable to add fields to
  newly created bean type.
#1918188 by eugene.ilyin: Added Few useful views handlers for work with bean
  blocks.
#1916938: Fixed Empty block name in entity reference field.
#1924006 by DamienMcKenna: Added Convert bean URL to lowercase.
#1920296 by fubhy | indytechcook: Fixed Can't delete revisions.


Bean 7.x-1.0, 2013-02-01
------------------------
#1850948 by indytechcook: Fixed Bean revision fields are not accessible in
  EntityFieldQuery.


Bean 7.x-1.0-rc10, 2013-02-01
-----------------------------
Make sure bean_reset rebuilds the menu correctly.
Fix issue in install of shortcuts.
#1691482: Moved contextual links back to bean_view and check that return of
  plugin is a render array
#1891532: Remove check_plain from bean entity class
#1897834 Fixed Bean, Features and permissions.
#1900104: Fixed Error when disabling bean.
#1892272 by stijndm: Fixed Unable to edit exported bean types due to form API
  syntax error.


Bean 7.x-1.0-rc9, 2013-01-21
----------------------------
#1885958 by Steven Jones: Added EntityMetadataWrapper sets not working.
#1893950: Fixed Ctools warnings in log.
Move check_plain into the entity class.
#1887778 by Deciphered: Fixed Incorrect operations colspan.
#1891358 by DamienMcKenna: Fixed Data loss if both 'Create new revision" and
  "Set Revision as default" options unchecked.
#1886002 by DamienMcKenna | paulhhowells: Fixed Administer Bean Settings x2.
#1889892 Fixed bean_reset() calls menu_rebuild(), which already happens during
  drupal_flush_all_caches().


Bean 7.x-1.0-rc8, 2013-01-10
----------------------------
Remove batches and use correct cache clear function.
#1883232 by Steven Jones: Fixed Bean EntityMetadataWrapper integration broken.
Fix bean unit test.
#1885238 by indytechcook: Fixed xss bean type label not escaped sufficiently.


Bean 7.x-1.0-rc7, 2012-12-31
----------------------------
#1828096 by Brandonian: Fixed bean_update_7007 does not work with real-world
  data.
#1691482 by Brandonian | mrfelton: Fixed contextual links not working.
#1601960 by indytechcook Fixed [bean_all()] Endless recursion in combination
  with Views.
#1611676 by barraponto | hazah: Added Views filter by bean type.
#1799776 by bforchhammer: Fixed entity translation regressions.
#1710256 by jonhattan, indytechcook: Fixed «Delete block type» button
  misplaced.
#1785950 by jonhattan | indytechcook: Fixed Revert and delete should be separate
  operations.
#1786036 by jonhattan | indytechcook: Fixed Caches not completely cleared.
Integrate Bean Revisions
#1814068 by jonhattan: Remove leftover patch files in repo.
#1833176 by darrenmothersele: Fixed List Shortcut module as a dependency or
  remove from bean_install().
#1836798 by bhauff: Block Label used rather than Title on block/delta and
  block/delta/view.
#1844538 by mrfelton: Fixed Field data missing when editing language neutral
  beans.
#1839966 by ultimateboy: Fixed block/add doesn't check for access before
  generating list.
#1838088 by jamesharv: Fixed Adding bean type and permissions to existing
  features module can cause drush cache clear to fail.
#1845974 by indytechcook: Fixed Block Admin label is correct.
#1793586 by Mixologic | indytechcook: Fixed Editing Bean Content Does not
  Trigger Page Cache Clear.
#1870730 by jm.federico: Fixed bean_view() changes the current page title.
#1859450 by jonhattan: Drop dependency on block.module.


Bean 7.x-1.0-rc6, 2012-09-05
----------------------------
#1649312: Bean Usage sub-module.
#1691458 by mrfelton: Fixed Unable to access bean overview page unless
  administer bean permissions is granted.
#1698548 by rsaddington: Fixed Block types tables has too many td's.
#1534722 by broeker, skwashd | tanc: Added Make custom bean forms compatible
  with Display Suite.
#1684250 by rimen|indytechcook: Transliteration module integration.
#1663264 by brantwynn: Fixed Status Message Text is wrong during Bean Create and
  Update.
#1717540 by jonhattan: Fixed [bean_all()] Fatal error when creating a block
  instance.
#1751268 by skwashd: Added Support Services API v3002.
#1770190 by bforchhammer: Fixed entity translation integration.
#1535444 by indytechcook: Fixed display of permission description.


Bean 7.x-1.0-rc5, 2012-06-03
----------------------------
Fixed unit testing issues with Bean permissions. febbraro.
Fixed the default plugin fall back for a Bean. febbraro.
Added default no-op tests on unimplemented unit tests. febbraro.
#1541802: Add back bean_all module.
#1538852 by alexweber: Added 'Package" for Bean modules in .info file.
#1535444 by indytechcook: Added permission for block_view() url.
#1535444 by barraponto: Fixed mis type in bean_permission.
#1541968 by alexweber: Fixed Fatal error when uninstalling Bean Admin UI.
#1510508 by mraichelson: Fixed issue with sorting with Workbench integration.
#1510508 by jhedstrom: Fixed access permissions to Workbench.
#1559944 by recidive, skwashd: Added Services support.


Bean 7.x-1.0-rc4, 2012-04-18
----------------------------
#1510508: Added Integrate with Workbench.
#1503270 by Denes.Szabo|indytechcook: Added Block list displays the filter form
  when have not defined a bean type yet.
#1519730 by skwashd: Fixed Plugin @plugin of plugin type bean:@type points to
  nonexistent file bean_admin_ui()/BeanCustom.class.php for class handler.
#1537456 by barraponto|indytechcook: Fixed Better titles for
  bean/add/%bean-type and bean/edit/%bean-delta.
#1170188 by barraponto, alexweber | mrfelton: Added menu items for Bean Type
  edit, delete, manage fields, display fields pages.
#1491956 by recidive: Add UUID/Deploy support.


Bean 7.x-1.0-rc3, 2012-03-16
----------------------------
Fixed issue with bean type filter at admin/content/blocks.
#1452368 by Denes.Szabo: Fixed Empty description not handled.
#1458298 by tim.cosgrove: Fixed Implementation of Contextual Links for Beans
  causes block to appear even with content is otherwise empty.
#1376902 by willvincent: Fixed Plugin container of plugin type bean:types points
  to nonexistent file.
#1354824 by willvincent | mrfelton: Fixed Unable to add fields to newly created
  bean type.
Fix coding standards and use the correct scope in functions.


Bean 7.x-1.0-rc2, 2012-03-16
----------------------------
DO NOT USE


Bean 7.x-1.0-rc1, 2012-02-17
----------------------------
Added description to beans.
Improve block/add and admin/structure/block-types by alphabetizing and making
  more consistent with node/add
Added Tests.
#1389446 by rogical: Added config link in info file.
#1216572 by duellj: Fixed Block cache not flushed after editing a bean, fixing a
  couple of errant block_types (underscore)
#1345966 by brantwynn, indytechcook: Change bean page to use EntityFieldQuery.


Bean 7.x-1.0-beta10, 2011-12-30
-------------------------------
#1288438 by drewish: Fixed Definitive broken admin page, when filter type isn't
  set.
fixing schema field for delta in bean.info.inc by tim.cosgrove
#1376902 by indytechcook: Fixed Plugin container of plugin type bean:types
  points to nonexistent file.
#1371280 by duellj: Fixed New %bean_delta() URL breaks translations.
#1371362 by duellj: Added Provide integration with title.module for
  translatable block titles.
#1351694 by indytechcook: Check if bean type class exists when loading bean.
#1387242 by brantwynn, indytechcook: Bean module not aligned with Drupal's
  coding standards.
API Change: Changed the name of class name for Drupal Standards.  All plugins
  will need to be updated:
  - bean_plugin renamed to BeanPlugin
  - bean_default renamed to BeanDefault
  - bean_type_plugin_interface renamed to BeanTypePluginInterface
  - bean_custom rename to BeanCustom


Bean 7.x-1.0-beta9, 2011-12-02
------------------------------
#1359472 by indytechcook: Error while uninstalling bean.
#1356088 by indytechcook:  Changed path of block types.
#1355818 by Draknek: Fixed Typo in permission description.
#1344146 by aheimlich: Fixed bean.tpl.php not being used.
Change how beans types classes are loaded.  Use the Code Registry rather than
  ctools includes
  - API CHANGE NOTICE: requires you to have the plugin files in the info file.
  - You no longer need to specify a "path" in the plugin.


Bean 7.x-1.0-beta8, 2011-11-16
------------------------------
Update to use new entity api methods. Code clean up and minor bug fixes in
  delete and redirects.
#1334476: Add form_state to bean form plugin.
#1335482 by jasperknops: Fixed No check if delta is unique.
#1340338 by duellj and indytechcook: Fixed Notice if editing bean without access
  to change view mode.
#1342360: Fixed creating of new bean object.
Update hook_uninstall to add field_attach_delete_bundle.
#1332440 by duellj: Fixed Bean default fields in edit form should come first.
#1330868: Reworked loading of entity from DB to avoid issues with loading
  plugin.


Bean 7.x-1.0-beta7, 2011-11-16
------------------------------
DO NOT USE THIS RELEASE


Bean 7.x-1.0-beta6, 2011-11-01
------------------------------
API CHANGE HAS BEEN INTRODUCED. SEE #1323876: Entity API 7.x-1.0-beta11 requires
  new Entity::view() signature. Change your version numbers in your custom block
  types.
Increment version level.
#1323876 by adamdicarlo: Fixed Entity API 7.x-1.0-beta11 requires new
  Entity::view() signature.
#1319918: contextual links missing.


Bean 7.x-1.0-beta5, 2011-10-23
------------------------------
View modes should default to "default" not "full".
#1317016: Add the ability to use different view modes in beans.
#1316996: Add required fields to the meta data.


Bean 7.x-1.0-beta4, 2011-10-21
------------------------------
#1315582: Fix notice error on install.
Updated Documentation and added bean.api.php.
#1309126: Add machine names to beans.
#1309126 by adamdicarlo and indytechcook: Add machine names to Beans to use as
  Delta.
#1264686: Adding hook_bean_access() to expose the access decision in
  bean_access() to other modules. Also adding a menu access callback for the
  Bean add page (block/add).
#1179420: Unable to install Bean Admin UI from an installation profile.
Fixing code formatting.
#1302224 by aroq: Make bean entities translatable by entity_translate module.
#1291274 Parse error: syntax error, unexpected ':' with PHP 5.2.
#1288438 Update filter on bean content page.


Bean 7.x-1.0-beta3, 2011-09-21
------------------------------
Bug fixes include fixing broken access to the bean admin UI.
#1272402: bean_get_all_beans() fails if called more than once.
#1272200 by ultimateboy: Fix permission in bean_admin_ui.
Fix bug caused by caching bean results.


Bean 7.x-1.0-beta2, 2011-09-07
------------------------------
Fix for compatibility with latest version of EntityAPI.


Bean 7.x-1.0-beta1, 2011-08-10
------------------------------
API Change: The interface BeanTypePluginInterface has changed the validate
  method to include &$form_state as the second argument. Be sure to change any
  plugins using the validate method.
#1221210: Filters for admin/content/blocks: Add filters to bean listing.
#1239596: Remove the .gitignore file from the repository: Remove .gitignore.
#1221008: Add a MENU_NORMAL_ITEM for the block admin page: Define admin page as
  MENU_LOCAL_TASK | MENU_NORMAL_ITEM.
Add form_state to the validate method.
Fixing permission string for Manage Block Types page.
Fix some small code style issues.
#1207152: Form level submit handlers not called when bean save button is used -
  ensure that form level submit handlers are called when bean save button is
  used.
Using block_flush_caches() which triggers _block_rehash() for all themes to
  clear related caches when a bean is saved.
Adding a dependency on the block module.
Adding check to ensure that the BeanTypePluginInterface interface is loaded.
Adding check to verify that the bean plugin class loaded successfully.


Bean 7.x-1.0-alpha4, 2011-06-22
-------------------------------
Added missing features.inc file for exportable support.
Remove rougr dsm statement.
#1196774: Add bean plugin interface: Add code interface for a cleaner
  implementation.


Bean 7.x-1.0-alpha3, 2011-06-22
-------------------------------
#1167506: Unable to view newly created bean ensure that beans load correcty on
  older version of php.
#1184498: Improvements to the bean administration page improvements to the bean
  admin page.
#1194004: Bean add form submit handler not called when another module alters the
  form - manually attach validate and submit handlers to bean add/edit form.
#1192822: Add logging on bean creation and updating - Add logging on bean
  create/edit.
#1160056: Make Bean types exportable by mrfelton, fabsor: Make bean types
  exportable.


Bean 7.x-1.0-alpha2, 2011-06-16
-------------------------------
#1167368: Bean plugins not returned from the cache properly by mrfelton: Bean
  plugins not returned from the cache properly. Be sure to clear caches after
  pulling this code.
#1167506: Unable to view newly created bean, #1167552: Undefined index:
  alumni_header in bean_fetch_plugin_info() bean.module line 200: Cache and
  static caching resetting issues.
#1173634: Add contextual 'Edit' link for beans add contextual links by mrfelton.
#1171200: Deleting Bean Leaves Records in Block Table Delete Bean bugs.
#1172884: Missing permissions make it impossible for anonymous users to view
  Beans by mrfelton Fixed incorrect name of hook_permission.


Bean 7.x-1.0-alpha1, 2011-05-20
-------------------------------
Initial release.
